(function() {
    'use strict';
    // レコード一覧・詳細画面の追加・編集・「入出庫理由」変更のイベント
    var events = ['app.record.create.show','app.record.edit.show',
    'app.record.index.edit.show','app.record.edit.change.入出庫理由',
    'app.record.create.change.入出庫理由','app.record.index.edit.change.入出庫理由'];
    kintone.events.on(events, function(event) {
        var record = event.record;
        switch (record['入出庫理由']['value']) {
        case "入庫":
            // 「出庫数」をクリアして入力不可
            record['入庫数']['disabled'] = false;
            record['出庫数']['disabled'] = true;
            record['出庫数']['value'] = "";
            break;
        case "出庫":
            // 「入庫数」をクリアして入力不可
            record['入庫数']['disabled'] = true;
            record['入庫数']['value'] = "";
            record['出庫数']['disabled'] = false;
            break;
        default:
            record['入庫数']['disabled'] = false;
            record['出庫数']['disabled'] = false;
            break;
        }
        return event;
    });
  
})();